require_relative 'lib/api/fileupload/version'

Gem::Specification.new do |spec|
  spec.name          = "api-fileupload"
  spec.version       = Api::Fileupload::VERSION
  spec.authors       = ["Aleksandr Balakiriev"]
  spec.email         = ["info@Balakiriev.com"]

  spec.summary       = %q{Simple library for handling file uploads for json only apis.}
  spec.description   = %q{}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "railties", '>= 5', '< 7'

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "pry", "~> 0.9"
end
